(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


// symbols:



(lib._00c_Case = function() {
	this.initialize(img._00c_Case);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,253);


(lib.btn_nxt = function() {
	this.initialize(img.btn_nxt);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,162,162);


(lib.btn_nxt2 = function() {
	this.initialize(img.btn_nxt2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,79,85);


(lib.EPI_01_01 = function() {
	this.initialize(img.EPI_01_01);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2400);


(lib.EPI_01_02 = function() {
	this.initialize(img.EPI_01_02);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2427);


(lib.EPI_01_03 = function() {
	this.initialize(img.EPI_01_03);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1463);


(lib.EPI_01_04 = function() {
	this.initialize(img.EPI_01_04);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2044);


(lib.EPI_01_05 = function() {
	this.initialize(img.EPI_01_05);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,259);


(lib.EPI_01_06 = function() {
	this.initialize(img.EPI_01_06);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2200);


(lib.EPI_01_07 = function() {
	this.initialize(img.EPI_01_07);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2233);


(lib.EPI_01_08 = function() {
	this.initialize(img.EPI_01_08);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2863);


(lib.EPI_01_09 = function() {
	this.initialize(img.EPI_01_09);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1080);


(lib.EPI_01_10 = function() {
	this.initialize(img.EPI_01_10);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1080);


(lib.EPI_01_11 = function() {
	this.initialize(img.EPI_01_11);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1294);


(lib.EPI_01_12 = function() {
	this.initialize(img.EPI_01_12);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2096);


(lib.EPI_01_13 = function() {
	this.initialize(img.EPI_01_13);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1953);


(lib.EPI_01_14 = function() {
	this.initialize(img.EPI_01_14);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2278);


(lib.EPI_01_15 = function() {
	this.initialize(img.EPI_01_15);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1940);


(lib.EPI_01_16 = function() {
	this.initialize(img.EPI_01_16);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2207);


(lib.EPI_01_17 = function() {
	this.initialize(img.EPI_01_17);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2382);


(lib.EPI_01_18 = function() {
	this.initialize(img.EPI_01_18);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,971);


(lib.EPI_01_19 = function() {
	this.initialize(img.EPI_01_19);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2063);


(lib.EPI_01_20 = function() {
	this.initialize(img.EPI_01_20);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1409);


(lib.EPI_01_21 = function() {
	this.initialize(img.EPI_01_21);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2200);


(lib.EPI_01_22 = function() {
	this.initialize(img.EPI_01_22);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1201);


(lib.EPI_01_23 = function() {
	this.initialize(img.EPI_01_23);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2200);


(lib.EPI_01_24 = function() {
	this.initialize(img.EPI_01_24);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2426);


(lib.EPI_01_25 = function() {
	this.initialize(img.EPI_01_25);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1052,2569);


(lib.EPI_01_26 = function() {
	this.initialize(img.EPI_01_26);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1052,2323);


(lib.EPI_01_27 = function() {
	this.initialize(img.EPI_01_27);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1052,1195);


(lib.EPI_01_28 = function() {
	this.initialize(img.EPI_01_28);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2293);


(lib.EPI_01_29 = function() {
	this.initialize(img.EPI_01_29);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2343);


(lib.EPI_01_30 = function() {
	this.initialize(img.EPI_01_30);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1876);


(lib.EPI_01_31 = function() {
	this.initialize(img.EPI_01_31);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1495);


(lib.EPI_01_32 = function() {
	this.initialize(img.EPI_01_32);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2233);


(lib.EPI_01_33 = function() {
	this.initialize(img.EPI_01_33);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2563);


(lib.EPI_01_34 = function() {
	this.initialize(img.EPI_01_34);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2305);


(lib.EPI_01_35 = function() {
	this.initialize(img.EPI_01_35);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2155);


(lib.EPI_01_36 = function() {
	this.initialize(img.EPI_01_36);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1263);


(lib.EPI_01_37 = function() {
	this.initialize(img.EPI_01_37);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1080);


(lib.EPI_01_38 = function() {
	this.initialize(img.EPI_01_38);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1078,1080);


(lib.EPI_01_39 = function() {
	this.initialize(img.EPI_01_39);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1082,1080);


(lib.EPI_01_40 = function() {
	this.initialize(img.EPI_01_40);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2195);


(lib.EPI_01_41 = function() {
	this.initialize(img.EPI_01_41);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2314);


(lib.EPI_01_42 = function() {
	this.initialize(img.EPI_01_42);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2123);


(lib.EPI_01_43 = function() {
	this.initialize(img.EPI_01_43);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1167);


(lib.EPI_01_44 = function() {
	this.initialize(img.EPI_01_44);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2200);


(lib.EPI_01_45 = function() {
	this.initialize(img.EPI_01_45);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1938);


(lib.EPI_01_46 = function() {
	this.initialize(img.EPI_01_46);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1079);


(lib.EPI_01_47 = function() {
	this.initialize(img.EPI_01_47);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1079);


(lib.EPI_01_48 = function() {
	this.initialize(img.EPI_01_48);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1079);


(lib.EPI_01_49 = function() {
	this.initialize(img.EPI_01_49);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1079);


(lib.EPI_01_50 = function() {
	this.initialize(img.EPI_01_50);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1079);


(lib.EPI_01_51 = function() {
	this.initialize(img.EPI_01_51);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1079);


(lib.EPI_01_52 = function() {
	this.initialize(img.EPI_01_52);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1645);


(lib.EPI_01_53 = function() {
	this.initialize(img.EPI_01_53);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2141);


(lib.EPI_01_54 = function() {
	this.initialize(img.EPI_01_54);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2430);


(lib.EPI_01_55 = function() {
	this.initialize(img.EPI_01_55);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2404);


(lib.EPI_01_56 = function() {
	this.initialize(img.EPI_01_56);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2020);


(lib.EPI_01_57 = function() {
	this.initialize(img.EPI_01_57);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1196);


(lib.EPI_01_58 = function() {
	this.initialize(img.EPI_01_58);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2191);


(lib.EPI_01_59 = function() {
	this.initialize(img.EPI_01_59);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2388);


(lib.EPI_01_60 = function() {
	this.initialize(img.EPI_01_60);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1982);


(lib.EPI_01_61 = function() {
	this.initialize(img.EPI_01_61);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,937);


(lib.EPI_01_62 = function() {
	this.initialize(img.EPI_01_62);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2360);


(lib.EPI_01_63 = function() {
	this.initialize(img.EPI_01_63);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2275);


(lib.EPI_01_64 = function() {
	this.initialize(img.EPI_01_64);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2295);


(lib.EPI_01_65 = function() {
	this.initialize(img.EPI_01_65);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2122);


(lib.EPI_01_66 = function() {
	this.initialize(img.EPI_01_66);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2650);


(lib.EPI_01_67 = function() {
	this.initialize(img.EPI_01_67);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1712);


(lib.EPI_01_68 = function() {
	this.initialize(img.EPI_01_68);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2200);


(lib.EPI_01_69 = function() {
	this.initialize(img.EPI_01_69);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2258);


(lib.EPI_01_70 = function() {
	this.initialize(img.EPI_01_70);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2129);


(lib.EPI_01_71 = function() {
	this.initialize(img.EPI_01_71);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,2142);


(lib.EPI_01_72 = function() {
	this.initialize(img.EPI_01_72);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1865);


(lib.EPI_01_73 = function() {
	this.initialize(img.EPI_01_73);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,1366);


(lib.fin = function() {
	this.initialize(img.fin);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1080,853);// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.Symbole10 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.instance = new lib.fin();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,1080,853);


(lib.Symbole3 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.instance = new lib.EPI_01_73();
	this.instance.parent = this;
	this.instance.setTransform(0,17068.9);

	this.instance_1 = new lib.EPI_01_72();
	this.instance_1.parent = this;
	this.instance_1.setTransform(0,15206.2);

	this.instance_2 = new lib.EPI_01_71();
	this.instance_2.parent = this;
	this.instance_2.setTransform(0,13064.6);

	this.instance_3 = new lib.EPI_01_70();
	this.instance_3.parent = this;
	this.instance_3.setTransform(0,10936.4);

	this.instance_4 = new lib.EPI_01_69();
	this.instance_4.parent = this;
	this.instance_4.setTransform(0,8679.3);

	this.instance_5 = new lib.EPI_01_68();
	this.instance_5.parent = this;
	this.instance_5.setTransform(0,6480.5);

	this.instance_6 = new lib.EPI_01_67();
	this.instance_6.parent = this;
	this.instance_6.setTransform(0,4769.1);

	this.instance_7 = new lib.EPI_01_66();
	this.instance_7.parent = this;
	this.instance_7.setTransform(0,2120.3);

	this.instance_8 = new lib.EPI_01_65();
	this.instance_8.parent = this;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,1080,18434.9);


(lib.Symbole1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.instance = new lib.btn_nxt2();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,79,85);


(lib.copieecr1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// horizontal
	this.instance = new lib._00c_Case();
	this.instance.parent = this;
	this.instance.setTransform(0,6);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	// vertical
	this.instance_1 = new lib.EPI_01_05();
	this.instance_1.parent = this;

	this.instance_2 = new lib.EPI_01_01();
	this.instance_2.parent = this;
	this.instance_2.setTransform(0,258.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.copieecr1, new cjs.Rectangle(0,0,1080,2658.5), null);


(lib.___Camera___ = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		this.visible = false;
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(2));

	// cameraBoundary
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("rgba(0,0,0,0)").ss(2,1,1,3,true).p("EAq+AfQMhV7AAAMAAAg+fMBV7AAAg");

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(2));

}).prototype = p = new cjs.MovieClip();


(lib.Symbole5 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.instance = new lib.Symbole3("synched",0);
	this.instance.parent = this;
	this.instance.setTransform(540,26855.4,1,1,0,0,0,540,9217.5);

	this.instance_1 = new lib.EPI_01_64();
	this.instance_1.parent = this;
	this.instance_1.setTransform(0,15343.5);

	this.instance_2 = new lib.EPI_01_63();
	this.instance_2.parent = this;
	this.instance_2.setTransform(0,13069.9);

	this.instance_3 = new lib.EPI_01_62();
	this.instance_3.parent = this;
	this.instance_3.setTransform(0,10710.5);

	this.instance_4 = new lib.EPI_01_61();
	this.instance_4.parent = this;
	this.instance_4.setTransform(0,9774);

	this.instance_5 = new lib.EPI_01_60();
	this.instance_5.parent = this;
	this.instance_5.setTransform(0,7792.5);

	this.instance_6 = new lib.EPI_01_59();
	this.instance_6.parent = this;
	this.instance_6.setTransform(0,5404.8);

	this.instance_7 = new lib.EPI_01_58();
	this.instance_7.parent = this;
	this.instance_7.setTransform(0,3214.4);

	this.instance_8 = new lib.EPI_01_57();
	this.instance_8.parent = this;
	this.instance_8.setTransform(0,2019.3);

	this.instance_9 = new lib.EPI_01_56();
	this.instance_9.parent = this;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_9},{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,1080,36072.8);


(lib.btn_nxt_indic = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.instance = new lib.Symbole1("synched",0);
	this.instance.parent = this;
	this.instance.setTransform(16.7,42.5,1,1,0,0,0,39.5,42.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:64.5},29).wait(1).to({startPosition:0},0).to({x:16.7},28).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-22.8,0,79,85);


(lib.btn_nxt_fx1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.nxt = new lib.btn_nxt_indic();
	this.nxt.name = "nxt";
	this.nxt.parent = this;
	this.nxt.setTransform(81,81,1,1,0,0,0,39.5,42.5);

	this.instance = new lib.btn_nxt();
	this.instance.parent = this;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance},{t:this.nxt}]}).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,162,162);


(lib.Symbole8 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.nxt = new lib.btn_nxt_fx1();
	this.nxt.name = "nxt";
	this.nxt.parent = this;
	this.nxt.setTransform(970.1,974.7,1,1,0,0,0,81,81);
	new cjs.ButtonHelper(this.nxt, 0, 1, 1);

	this.instance = new lib.EPI_01_10();
	this.instance.parent = this;
	this.instance.setTransform(1078.6,0);

	this.instance_1 = new lib.EPI_01_09();
	this.instance_1.parent = this;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_1},{t:this.instance},{t:this.nxt}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbole8, new cjs.Rectangle(0,0,2158.6,1080), null);


(lib.Symbole7 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.nxt = new lib.btn_nxt_fx1();
	this.nxt.name = "nxt";
	this.nxt.parent = this;
	this.nxt.setTransform(970.1,974.7,1,1,0,0,0,81,81);
	new cjs.ButtonHelper(this.nxt, 0, 1, 1);

	this.instance = new lib.EPI_01_39();
	this.instance.parent = this;
	this.instance.setTransform(2156.5,0);

	this.instance_1 = new lib.EPI_01_38();
	this.instance_1.parent = this;
	this.instance_1.setTransform(1079.3,0);

	this.instance_2 = new lib.EPI_01_37();
	this.instance_2.parent = this;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.nxt}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbole7, new cjs.Rectangle(0,0,3238.5,1080), null);


(lib.Symbole6 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// Calque_1
	this.nxt = new lib.btn_nxt_fx1();
	this.nxt.name = "nxt";
	this.nxt.parent = this;
	this.nxt.setTransform(970.1,974.7,1,1,0,0,0,81,81);
	new cjs.ButtonHelper(this.nxt, 0, 1, 1);

	this.instance = new lib.EPI_01_51();
	this.instance.parent = this;
	this.instance.setTransform(5392.3,0);

	this.instance_1 = new lib.EPI_01_50();
	this.instance_1.parent = this;
	this.instance_1.setTransform(4314,0);

	this.instance_2 = new lib.EPI_01_49();
	this.instance_2.parent = this;
	this.instance_2.setTransform(3237.1,0);

	this.instance_3 = new lib.EPI_01_48();
	this.instance_3.parent = this;
	this.instance_3.setTransform(2157.1,0);

	this.instance_4 = new lib.EPI_01_47();
	this.instance_4.parent = this;
	this.instance_4.setTransform(1078.7,0);

	this.instance_5 = new lib.EPI_01_46();
	this.instance_5.parent = this;

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance},{t:this.nxt}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.Symbole6, new cjs.Rectangle(0,0,6472.3,1079), null);


(lib.niv1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// horizontal
	this.fx1 = new lib.Symbole8();
	this.fx1.name = "fx1";
	this.fx1.parent = this;
	this.fx1.setTransform(1079.3,16420.9,1,1,0,0,0,1079.3,540);

	this.timeline.addTween(cjs.Tween.get(this.fx1).wait(1));

	// vertical
	this.instance = new lib.EPI_01_33();
	this.instance.parent = this;
	this.instance.setTransform(0,60014.5);

	this.instance_1 = new lib.EPI_01_32();
	this.instance_1.parent = this;
	this.instance_1.setTransform(0,57800.6);

	this.instance_2 = new lib.EPI_01_31();
	this.instance_2.parent = this;
	this.instance_2.setTransform(0,56306.3);

	this.instance_3 = new lib.EPI_01_30();
	this.instance_3.parent = this;
	this.instance_3.setTransform(0,54431.3);

	this.instance_4 = new lib.EPI_01_29();
	this.instance_4.parent = this;
	this.instance_4.setTransform(0,52089.3);

	this.instance_5 = new lib.EPI_01_28();
	this.instance_5.parent = this;
	this.instance_5.setTransform(0,49796.8);

	this.instance_6 = new lib.EPI_01_27();
	this.instance_6.parent = this;
	this.instance_6.setTransform(0,48583.7,1.027,1.027);

	this.instance_7 = new lib.EPI_01_26();
	this.instance_7.parent = this;
	this.instance_7.setTransform(0,46199.9,1.027,1.027);

	this.instance_8 = new lib.EPI_01_25();
	this.instance_8.parent = this;
	this.instance_8.setTransform(0,43563.2,1.027,1.027);

	this.instance_9 = new lib.EPI_01_24();
	this.instance_9.parent = this;
	this.instance_9.setTransform(0,41138.4);

	this.instance_10 = new lib.EPI_01_23();
	this.instance_10.parent = this;
	this.instance_10.setTransform(0,38939.8);

	this.instance_11 = new lib.EPI_01_22();
	this.instance_11.parent = this;
	this.instance_11.setTransform(0,37739.6);

	this.instance_12 = new lib.EPI_01_21();
	this.instance_12.parent = this;
	this.instance_12.setTransform(0,35540.8);

	this.instance_13 = new lib.EPI_01_20();
	this.instance_13.parent = this;
	this.instance_13.setTransform(0,34132.4);

	this.instance_14 = new lib.EPI_01_19();
	this.instance_14.parent = this;
	this.instance_14.setTransform(0,32070.3);

	this.instance_15 = new lib.EPI_01_18();
	this.instance_15.parent = this;
	this.instance_15.setTransform(0,31100.3);

	this.instance_16 = new lib.EPI_01_17();
	this.instance_16.parent = this;
	this.instance_16.setTransform(0,28719);

	this.instance_17 = new lib.EPI_01_16();
	this.instance_17.parent = this;
	this.instance_17.setTransform(0,26512.7);

	this.instance_18 = new lib.EPI_01_15();
	this.instance_18.parent = this;
	this.instance_18.setTransform(0,24574.5);

	this.instance_19 = new lib.EPI_01_14();
	this.instance_19.parent = this;
	this.instance_19.setTransform(0,22297.2);

	this.instance_20 = new lib.EPI_01_13();
	this.instance_20.parent = this;
	this.instance_20.setTransform(0,20345.1);

	this.instance_21 = new lib.EPI_01_12();
	this.instance_21.parent = this;
	this.instance_21.setTransform(0,18250.3);

	this.instance_22 = new lib.EPI_01_11();
	this.instance_22.parent = this;
	this.instance_22.setTransform(0,16959.7);

	this.instance_23 = new lib.EPI_01_08();
	this.instance_23.parent = this;
	this.instance_23.setTransform(0,13018.8);

	this.instance_24 = new lib.EPI_01_07();
	this.instance_24.parent = this;
	this.instance_24.setTransform(0,10786.7);

	this.instance_25 = new lib.EPI_01_06();
	this.instance_25.parent = this;
	this.instance_25.setTransform(0,8587.8);

	this.instance_26 = new lib.EPI_01_05();
	this.instance_26.parent = this;

	this.instance_27 = new lib.EPI_01_04();
	this.instance_27.parent = this;
	this.instance_27.setTransform(0,6544.3);

	this.instance_28 = new lib.EPI_01_03();
	this.instance_28.parent = this;
	this.instance_28.setTransform(0,5083.6);

	this.instance_29 = new lib.EPI_01_02();
	this.instance_29.parent = this;
	this.instance_29.setTransform(0,2657.3);

	this.instance_30 = new lib.EPI_01_01();
	this.instance_30.parent = this;
	this.instance_30.setTransform(0,258.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.instance_30},{t:this.instance_29},{t:this.instance_28},{t:this.instance_27},{t:this.instance_26},{t:this.instance_25},{t:this.instance_24},{t:this.instance_23},{t:this.instance_22},{t:this.instance_21},{t:this.instance_20},{t:this.instance_19},{t:this.instance_18},{t:this.instance_17},{t:this.instance_16},{t:this.instance_15},{t:this.instance_14},{t:this.instance_13},{t:this.instance_12},{t:this.instance_11},{t:this.instance_10},{t:this.instance_9},{t:this.instance_8},{t:this.instance_7},{t:this.instance_6},{t:this.instance_5},{t:this.instance_4},{t:this.instance_3},{t:this.instance_2},{t:this.instance_1},{t:this.instance}]}).wait(1));

	// Calque_2
	this.instance_31 = new lib.Symbole5("synched",0);
	this.instance_31.parent = this;
	this.instance_31.setTransform(540,109038,1,1,0,0,0,540,18036.4);

	this.instance_32 = new lib.EPI_01_55();
	this.instance_32.parent = this;
	this.instance_32.setTransform(0,88598.1);

	this.instance_33 = new lib.EPI_01_54();
	this.instance_33.parent = this;
	this.instance_33.setTransform(0,86168.5);

	this.fx2 = new lib.Symbole7();
	this.fx2.name = "fx2";
	this.fx2.parent = this;
	this.fx2.setTransform(1619.3,68835.3,1,1,0,0,0,1619.3,540);

	this.fx3 = new lib.Symbole6();
	this.fx3.name = "fx3";
	this.fx3.parent = this;
	this.fx3.setTransform(3236.1,81845.8,1,1,0,0,0,3236.1,539.8);

	this.instance_34 = new lib.EPI_01_53();
	this.instance_34.parent = this;
	this.instance_34.setTransform(0,82384.5);

	this.instance_35 = new lib.EPI_01_52();
	this.instance_35.parent = this;
	this.instance_35.setTransform(0,84524.5);

	this.instance_36 = new lib.EPI_01_45();
	this.instance_36.parent = this;
	this.instance_36.setTransform(0,79369.1);

	this.instance_37 = new lib.EPI_01_44();
	this.instance_37.parent = this;
	this.instance_37.setTransform(0,77170.3);

	this.instance_38 = new lib.EPI_01_43();
	this.instance_38.parent = this;
	this.instance_38.setTransform(0,76004.4);

	this.instance_39 = new lib.EPI_01_42();
	this.instance_39.parent = this;
	this.instance_39.setTransform(0,73881.9);

	this.instance_40 = new lib.EPI_01_41();
	this.instance_40.parent = this;
	this.instance_40.setTransform(0,71568.5);

	this.instance_41 = new lib.EPI_01_40();
	this.instance_41.parent = this;
	this.instance_41.setTransform(0,69373.8);

	this.instance_42 = new lib.EPI_01_36();
	this.instance_42.parent = this;
	this.instance_42.setTransform(0,67033.7);

	this.instance_43 = new lib.EPI_01_35();
	this.instance_43.parent = this;
	this.instance_43.setTransform(0,64879.8);

	this.instance_44 = new lib.EPI_01_34();
	this.instance_44.parent = this;
	this.instance_44.setTransform(0,62575.3);

	this.likeFB = new lib.Symbole10();
	this.likeFB.name = "likeFB";
	this.likeFB.parent = this;
	this.likeFB.setTransform(4110.4,63004,1,1,0,0,0,540,426.5);
	new cjs.ButtonHelper(this.likeFB, 0, 1, 1);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.likeFB},{t:this.instance_44},{t:this.instance_43},{t:this.instance_42},{t:this.instance_41},{t:this.instance_40},{t:this.instance_39},{t:this.instance_38},{t:this.instance_37},{t:this.instance_36},{t:this.instance_35},{t:this.instance_34},{t:this.fx3},{t:this.fx2},{t:this.instance_33},{t:this.instance_32},{t:this.instance_31}]}).wait(1));

}).prototype = getMCSymbolPrototype(lib.niv1, new cjs.Rectangle(0,0,6472.3,127074.4), null);


// stage content:
(lib.turbo = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		initcam();
	}
	this.frame_22 = function() {
		this.stop();
		stage.removeChild(back1);
		thiss = this
		initecran();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(22).call(this.frame_22).wait(1));

	// Camera
	this.___camera___instance = new lib.___Camera___();
	this.___camera___instance.name = "___camera___instance";
	this.___camera___instance.parent = this;
	this.___camera___instance.setTransform(546.8,964.6,1,1,0,0,0,6,3.8);
	this.___camera___instance.depth = 0;

	this.timeline.addTween(cjs.Tween.get(this.___camera___instance).wait(23));

	// Actions
	this.instance = new lib.copieecr1();
	this.instance.parent = this;
	this.instance.setTransform(540,17332.5,1,1,0,0,0,540,17332.5);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({alpha:1},21).to({_off:true},1).wait(1));

	// Calque_6
	this.ecr1 = new lib.niv1();
	this.ecr1.name = "ecr1";
	this.ecr1.parent = this;
	this.ecr1.setTransform(540,17332.5,1,1,0,0,0,540,17332.5);
	this.ecr1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.ecr1).wait(21).to({_off:false},0).wait(2));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(539.8,959.8,1082,2658.7);
// library properties:
lib.properties = {
	id: '842E5DB5E268684CAD3FA553B3867178',
	width: 1080,
	height: 1920,
	fps: 30,
	color: "#234283",
	opacity: 1.00,
	manifest: [
		{src:"images/_00c_Case.png", id:"_00c_Case"},
		{src:"images/btn_nxt.png", id:"btn_nxt"},
		{src:"images/btn_nxt2.png", id:"btn_nxt2"},
		{src:"images/EPI_01_01.jpg", id:"EPI_01_01"},
		{src:"images/EPI_01_02.jpg", id:"EPI_01_02"},
		{src:"images/EPI_01_03.jpg", id:"EPI_01_03"},
		{src:"images/EPI_01_04.jpg", id:"EPI_01_04"},
		{src:"images/EPI_01_05.jpg", id:"EPI_01_05"},
		{src:"images/EPI_01_06.jpg", id:"EPI_01_06"},
		{src:"images/EPI_01_07.jpg", id:"EPI_01_07"},
		{src:"images/EPI_01_08.jpg", id:"EPI_01_08"},
		{src:"images/EPI_01_09.jpg", id:"EPI_01_09"},
		{src:"images/EPI_01_10.jpg", id:"EPI_01_10"},
		{src:"images/EPI_01_11.jpg", id:"EPI_01_11"},
		{src:"images/EPI_01_12.jpg", id:"EPI_01_12"},
		{src:"images/EPI_01_13.jpg", id:"EPI_01_13"},
		{src:"images/EPI_01_14.jpg", id:"EPI_01_14"},
		{src:"images/EPI_01_15.jpg", id:"EPI_01_15"},
		{src:"images/EPI_01_16.jpg", id:"EPI_01_16"},
		{src:"images/EPI_01_17.jpg", id:"EPI_01_17"},
		{src:"images/EPI_01_18.jpg", id:"EPI_01_18"},
		{src:"images/EPI_01_19.jpg", id:"EPI_01_19"},
		{src:"images/EPI_01_20.jpg", id:"EPI_01_20"},
		{src:"images/EPI_01_21.jpg", id:"EPI_01_21"},
		{src:"images/EPI_01_22.jpg", id:"EPI_01_22"},
		{src:"images/EPI_01_23.jpg", id:"EPI_01_23"},
		{src:"images/EPI_01_24.jpg", id:"EPI_01_24"},
		{src:"images/EPI_01_25.jpg", id:"EPI_01_25"},
		{src:"images/EPI_01_26.jpg", id:"EPI_01_26"},
		{src:"images/EPI_01_27.jpg", id:"EPI_01_27"},
		{src:"images/EPI_01_28.jpg", id:"EPI_01_28"},
		{src:"images/EPI_01_29.jpg", id:"EPI_01_29"},
		{src:"images/EPI_01_30.jpg", id:"EPI_01_30"},
		{src:"images/EPI_01_31.jpg", id:"EPI_01_31"},
		{src:"images/EPI_01_32.jpg", id:"EPI_01_32"},
		{src:"images/EPI_01_33.jpg", id:"EPI_01_33"},
		{src:"images/EPI_01_34.jpg", id:"EPI_01_34"},
		{src:"images/EPI_01_35.jpg", id:"EPI_01_35"},
		{src:"images/EPI_01_36.jpg", id:"EPI_01_36"},
		{src:"images/EPI_01_37.jpg", id:"EPI_01_37"},
		{src:"images/EPI_01_38.jpg", id:"EPI_01_38"},
		{src:"images/EPI_01_39.jpg", id:"EPI_01_39"},
		{src:"images/EPI_01_40.jpg", id:"EPI_01_40"},
		{src:"images/EPI_01_41.jpg", id:"EPI_01_41"},
		{src:"images/EPI_01_42.jpg", id:"EPI_01_42"},
		{src:"images/EPI_01_43.jpg", id:"EPI_01_43"},
		{src:"images/EPI_01_44.jpg", id:"EPI_01_44"},
		{src:"images/EPI_01_45.jpg", id:"EPI_01_45"},
		{src:"images/EPI_01_46.jpg", id:"EPI_01_46"},
		{src:"images/EPI_01_47.jpg", id:"EPI_01_47"},
		{src:"images/EPI_01_48.jpg", id:"EPI_01_48"},
		{src:"images/EPI_01_49.jpg", id:"EPI_01_49"},
		{src:"images/EPI_01_50.jpg", id:"EPI_01_50"},
		{src:"images/EPI_01_51.jpg", id:"EPI_01_51"},
		{src:"images/EPI_01_52.jpg", id:"EPI_01_52"},
		{src:"images/EPI_01_53.jpg", id:"EPI_01_53"},
		{src:"images/EPI_01_54.jpg", id:"EPI_01_54"},
		{src:"images/EPI_01_55.jpg", id:"EPI_01_55"},
		{src:"images/EPI_01_56.jpg", id:"EPI_01_56"},
		{src:"images/EPI_01_57.jpg", id:"EPI_01_57"},
		{src:"images/EPI_01_58.jpg", id:"EPI_01_58"},
		{src:"images/EPI_01_59.jpg", id:"EPI_01_59"},
		{src:"images/EPI_01_60.jpg", id:"EPI_01_60"},
		{src:"images/EPI_01_61.jpg", id:"EPI_01_61"},
		{src:"images/EPI_01_62.jpg", id:"EPI_01_62"},
		{src:"images/EPI_01_63.jpg", id:"EPI_01_63"},
		{src:"images/EPI_01_64.jpg", id:"EPI_01_64"},
		{src:"images/EPI_01_65.jpg", id:"EPI_01_65"},
		{src:"images/EPI_01_66.jpg", id:"EPI_01_66"},
		{src:"images/EPI_01_67.jpg", id:"EPI_01_67"},
		{src:"images/EPI_01_68.jpg", id:"EPI_01_68"},
		{src:"images/EPI_01_69.jpg", id:"EPI_01_69"},
		{src:"images/EPI_01_70.jpg", id:"EPI_01_70"},
		{src:"images/EPI_01_71.jpg", id:"EPI_01_71"},
		{src:"images/EPI_01_72.jpg", id:"EPI_01_72"},
		{src:"images/EPI_01_73.jpg", id:"EPI_01_73"},
		{src:"images/fin.jpg", id:"fin"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['842E5DB5E268684CAD3FA553B3867178'] = {
	getStage: function() { return exportRoot.getStage(); },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


// Virtual camera API : 

AdobeAn.VirtualCamera = new function() {
	var _camera = new Object();
	function VirtualCamera(timeline) {
	this.timeline = timeline;
	this.camera = timeline.___camera___instance;
	this.centerX = lib.properties.width / 2;
	this.centerY = lib.properties.height / 2;
	this.camAxisX = this.camera.x;
	this.camAxisY = this.camera.y;
	if(timeline.___camera___instance == null || timeline.___camera___instance == undefined )
	{
		timeline.___camera___instance = new cjs.MovieClip();
		timeline.___camera___instance.visible = false;
		timeline.___camera___instance.parent = timeline;
		timeline.___camera___instance.setTransform(this.centerX, this.centerY);
	}
	this.camera = timeline.___camera___instance;
}

VirtualCamera.prototype.moveBy = function(x, y, z) {
z = typeof z !== 'undefined' ? z : 0;
	var position = this.___getCamPosition___();
	var rotAngle = this.getRotation()*Math.PI/180;
	var sinTheta = Math.sin(rotAngle);
	var cosTheta = Math.cos(rotAngle);
	var offX= x*cosTheta + y*sinTheta;
	var offY = y*cosTheta - x*sinTheta;
	this.camAxisX = this.camAxisX - x;
	this.camAxisY = this.camAxisY - y;
	var posX = position.x + offX;
	var posY = position.y + offY;
	this.camera.x = this.centerX - posX;
	this.camera.y = this.centerY - posY;
	this.camera.depth += z;
};

VirtualCamera.prototype.setPosition = function(x, y, z) {
	z = typeof z !== 'undefined' ? z : 0;

	const MAX_X = 10000;
	const MIN_X = -10000;
	const MAX_Y = 10000;
	const MIN_Y = -10000;
	const MAX_Z = 10000;
	const MIN_Z = -5000;

	if(x > MAX_X)
	  x = MAX_X;
	else if(x < MIN_X)
	  x = MIN_X;
	if(y > MAX_Y)
	  y = MAX_Y;
	else if(y < MIN_Y)
	  y = MIN_Y;
	if(z > MAX_Z)
	  z = MAX_Z;
	else if(z < MIN_Z)
	  z = MIN_Z;

	var rotAngle = this.getRotation()*Math.PI/180;
	var sinTheta = Math.sin(rotAngle);
	var cosTheta = Math.cos(rotAngle);
	var offX= x*cosTheta + y*sinTheta;
	var offY = y*cosTheta - x*sinTheta;
	
	this.camAxisX = this.centerX - x;
	this.camAxisY = this.centerY - y;
	this.camera.x = this.centerX - offX;
	this.camera.y = this.centerY - offY;
	this.camera.depth = z;
};

VirtualCamera.prototype.getPosition = function() {
	var loc = new Object();
	loc['x'] = this.centerX - this.camAxisX;
	loc['y'] = this.centerY - this.camAxisY;
	loc['z'] = this.camera.depth;
	return loc;
};

VirtualCamera.prototype.resetPosition = function() {
	this.setPosition(0, 0);
};

VirtualCamera.prototype.zoomBy = function(zoom) {
	this.setZoom( (this.getZoom() * zoom) / 100);
};

VirtualCamera.prototype.setZoom = function(zoom) {
	const MAX_zoom = 10000;
	const MIN_zoom = 1;
	if(zoom > MAX_zoom)
	zoom = MAX_zoom;
	else if(zoom < MIN_zoom)
	zoom = MIN_zoom;
	this.camera.scaleX = 100 / zoom;
	this.camera.scaleY = 100 / zoom;
};

VirtualCamera.prototype.getZoom = function() {
	return 100 / this.camera.scaleX;
};

VirtualCamera.prototype.resetZoom = function() {
	this.setZoom(100);
};

VirtualCamera.prototype.rotateBy = function(angle) {
	this.setRotation( this.getRotation() + angle );
};

VirtualCamera.prototype.setRotation = function(angle) {
	const MAX_angle = 180;
	const MIN_angle = -179;
	if(angle > MAX_angle)
		angle = MAX_angle;
	else if(angle < MIN_angle)
		angle = MIN_angle;
	this.camera.rotation = -angle;
};

VirtualCamera.prototype.getRotation = function() {
	return -this.camera.rotation;
};

VirtualCamera.prototype.resetRotation = function() {
this.setRotation(0);
};

VirtualCamera.prototype.reset = function() {
	this.resetPosition();
	this.resetZoom();
	this.resetRotation();
	this.unpinCamera();
};
VirtualCamera.prototype.setZDepth = function(zDepth) {
	const MAX_zDepth = 10000;
	const MIN_zDepth = -5000;
	if(zDepth > MAX_zDepth)
		zDepth = MAX_zDepth;
	else if(zDepth < MIN_zDepth)
		zDepth = MIN_zDepth;
	this.camera.depth = zDepth;
}
VirtualCamera.prototype.getZDepth = function() {
	return this.camera.depth;
}
VirtualCamera.prototype.resetZDepth = function() {
	this.camera.depth = 0;
}

VirtualCamera.prototype.pinCameraToObject = function(obj, offsetX, offsetY, offsetZ) {

	offsetX = typeof offsetX !== 'undefined' ? offsetX : 0;

	offsetY = typeof offsetY !== 'undefined' ? offsetY : 0;

	offsetZ = typeof offsetZ !== 'undefined' ? offsetZ : 0;
	if(obj === undefined)
		return;
	this.camera.pinToObject = obj;
	this.camera.pinToObject.pinOffsetX = offsetX;
	this.camera.pinToObject.pinOffsetY = offsetY;
	this.camera.pinToObject.pinOffsetZ = offsetZ;
};

VirtualCamera.prototype.setPinOffset = function(offsetX, offsetY, offsetZ) {
if(this.camera.pinToObject != undefined) {
this.camera.pinToObject.pinOffsetX = offsetX;
this.camera.pinToObject.pinOffsetY = offsetY;
this.camera.pinToObject.pinOffsetZ = offsetZ;
}
};

VirtualCamera.prototype.unpinCamera = function() {
this.camera.pinToObject = undefined;
};

this.getCamera = function(timeline) {
	timeline = typeof timeline !== 'undefined' ? timeline : null;
	if(timeline === null) timeline = exportRoot;
	if(_camera[timeline] == undefined)
	_camera[timeline] = new VirtualCamera(timeline);
	return _camera[timeline];
}

this.getCameraAsMovieClip = function(timeline) {
	timeline = typeof timeline !== 'undefined' ? timeline : null;
	if(timeline === null) timeline = exportRoot;
	return this.getCamera(timeline).camera;
}
VirtualCamera.prototype.___getCamPosition___ = function() {
	var loc = new Object();
	loc['x'] = this.centerX - this.camera.x;
	loc['y'] = this.centerY - this.camera.y;
	loc['z'] = this.depth;
	return loc;
};
}



})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;